:root {
  --max-width: 800px;
  --border-radius: 12px;
  --shadow: 0 0 10px rgba(0, 0, 0, 0.1);

  --text: #202a37;
  --background: #f9fafc;
  --card-background: #ffffff;
  --white: #ffffff;
  --black: #000000;
  --error: #d70000;
}

@media (prefers-color-scheme: dark) {
  :root {
    --shadow: 0 0 10px rgba(0, 0, 0, 0.3);

    --text: #f9fafc;
    --background: #202a37;
    --card-background: #384251;
    --error: #ff5050;
  }
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  max-width: 100vw;
  overflow-x: hidden;
}

body {
  color: var(--text);
  background: var(--background);
  display: flex;
  flex-direction: column;
  min-height: 100dvh;
}

main {
  justify-content: flex-start;
  flex-grow: 1;
}

a {
  color: inherit;
  font-size: 1rem;
  font-weight: 300;
}

h1 {
  font-size: 2rem;
  font-weight: 700;
}

h2 {
  font-size: 1.5rem;
  font-weight: 700;
}

h3 {
  font-size: 1.25rem;
  font-weight: 600;
}

p {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
}

footer {
  text-align: center;
  padding: 1rem;
  background-color: var(--card-background);
}

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
}
